> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trade info for a specific user



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user-info/people/{username}/tradeinfo
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/user-info/people/{username}/tradeinfo:
    get:
      tags:
        - Users Info
      summary: Get trade info for a specific user
      operationId: getTradeInfoSpecificUser
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: 6f530899-cde2-4d9b-a0c4-3e5ff9717810
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
        - name: username
          description: The username of the user to retrieve the discovery info for.
          in: path
          schema:
            type: string
          required: true
        - name: period
          in: query
          description: The period filter (e.g., LastTwoYears).
          required: true
          schema:
            type: string
            enum:
              - CurrMonth
              - CurrQuarter
              - CurrYear
              - LastYear
              - LastTwoYears
              - OneMonthAgo
              - TwoMonthsAgo
              - ThreeMonthsAgo
              - SixMonthsAgo
              - OneYearAgo
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  userName:
                    type: string
                    description: The username of the customer
                  fullName:
                    type: string
                    description: Full name of the customer
                  weeksSinceRegistration:
                    type: integer
                    description: Number of weeks since registration
                  countryId:
                    type: integer
                    description: The registered country ID of the user
                  affiliateId:
                    type: integer
                    description: The affiliate ID of the user
                  isPopularInvestor:
                    type: boolean
                    description: Is the customer a popular investor
                  isFund:
                    type: boolean
                    description: Does this customer represent a fund
                  hasAvatar:
                    type: boolean
                    description: Does the customer have a picture
                  gain:
                    type: number
                    format: float
                    description: The periodic gain of the user
                  dailyGain:
                    type: number
                    format: float
                    description: The user's last day gain
                  thisWeekGain:
                    type: number
                    format: float
                    description: The user's gain from the beginning of the trading week
                  riskScore:
                    type: integer
                    description: The current risk score of the user
                  maxDailyRiskScore:
                    type: integer
                    description: The maximum daily risk score of the user in this interval
                  maxMonthlyRiskScore:
                    type: integer
                    description: >-
                      The maximum monthly risk score of the user in this
                      interval
                  copiers:
                    type: integer
                    description: The current number of copiers of this user
                  copiedTrades:
                    type: integer
                    description: The total number of copied trades in this interval
                  copyTradesPct:
                    type: number
                    format: float
                    description: >-
                      The percentage of copied trades in this interval of all
                      trades
                  copyInvestmentPct:
                    type: number
                    format: float
                    description: >-
                      The percentage of invested amounts in copied trades in
                      this interval of all investments
                  baseLineCopiers:
                    type: integer
                    description: The number of copiers one week ago
                  copiersGain:
                    type: number
                    format: float
                    description: The gain percentage of the number of copiers in a week
                  aumTier:
                    type: integer
                    description: >-
                      The total assets under management of the user, in a scale
                      of 0-4, where 4 is the highest tier
                  aumTierDesc:
                    type: string
                    description: Description of the AUM Tier
                  fundType:
                    type: integer
                    description: Fund Type
                  virtualCopiers:
                    type: integer
                    description: The total amount of virtual copiers of this user
                  trades:
                    type: integer
                    description: The total number of trades in this interval
                  topTradedInstrumentId:
                    type: integer
                    description: Top Traded Instrument ID in this interval
                  topTradedAssetId:
                    type: integer
                    description: Top Traded Asset ID in this interval
                  winRatio:
                    type: number
                    format: float
                    description: The winning ratio of all closed trades in this interval
                  dailyDd:
                    type: number
                    format: float
                    description: The maximum daily draw-down of the user in this interval
                  weeklyDd:
                    type: number
                    format: float
                    description: The maximum weekly draw-down of this user in this interval
                  peakToValley:
                    type: number
                    format: float
                    description: The peak to valley draw-down in this interval
                  profitableWeeksPct:
                    type: number
                    format: float
                    description: >-
                      The percentage of trading weeks which were profitable in
                      this interval
                  profitableMonthsPct:
                    type: number
                    format: float
                    description: >-
                      The percentage of months which were profitable in this
                      interval
                  avgPosSize:
                    type: number
                    format: float
                    description: >-
                      Average position size relative to the realized equity on
                      opening the trade
                  highLeveragePct:
                    type: number
                    format: float
                    description: High leverage trades percentage in this interval
                  mediumLeveragePct:
                    type: number
                    format: float
                    description: Medium leverage trades percentage in this interval
                  lowLeveragePct:
                    type: number
                    format: float
                    description: Low leverage trades percentage in this interval
                  firstActivity:
                    type: integer
                    description: >-
                      Number of days since the beginning of the interval of a
                      user trading activity
                  lastActivity:
                    type: integer
                    description: >-
                      Number of days from the last trading activity till the end
                      of the interval
                  activeWeeksPct:
                    type: number
                    format: float
                    description: >-
                      The percentage of weeks in the interval which the user had
                      active trades
                  instrumentPct:
                    type: number
                    format: float
                    description: Percentage of investment in the requested instrument ID

````